
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "translate find command lines to Perl code",
  "AUTHOR" => "Leon Timmermans <leont\@cpan.org>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "App-find2perl",
  "EXE_FILES" => [
    "script/find2perl"
  ],
  "LICENSE" => "perl",
  "NAME" => "App::find2perl",
  "PREREQ_PM" => {
    "File::Spec::Functions" => 0,
    "strict" => 0,
    "vars" => 0
  },
  "TEST_REQUIRES" => {
    "Devel::FindPerl" => "0.009",
    "File::Path" => 0,
    "File::Temp" => 0,
    "IPC::Open2" => 0,
    "Test::More" => 0,
    "constant" => 0,
    "open" => 0,
    "warnings" => 0
  },
  "VERSION" => "0.001",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Devel::FindPerl" => "0.009",
  "File::Path" => 0,
  "File::Spec::Functions" => 0,
  "File::Temp" => 0,
  "IPC::Open2" => 0,
  "Test::More" => 0,
  "constant" => 0,
  "open" => 0,
  "strict" => 0,
  "vars" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



